# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Scissor Class Reference

The Scissor class wraps the OpenGL function glScissor(), see http://www.opengl.org/sdk/docs/man/xhtml/glScissor.xml for more information. More...

`#include <Scissor.hpp>`

Inheritance diagram for vl::Scissor:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| Scissor (int x, int y, int width, int height)
void | enable (const Viewport *viewport) const
| Enables the scissor test on the area specified by scissorRect() clipped against the given Viewport.
void | disable ()
| Disables the scissor test.
void | setScissor (int x, int y, int width, int height)
| Defines the scissor box.
void | setScissor (const RectI &scissor)
| Defines the scissor box.
const RectI & | scissorRect () const
| Returns the scissor box.
bool | operator< (const Scissor &other) const
| Defines a sort of lexicographic sorting that make possible the use of the Scissor class with STL containers like std::set, std::map etc.
## Protected Attributes
RectI | mScissor

## Detailed Description

The Scissor class wraps the OpenGL function glScissor(), see http://www.opengl.org/sdk/docs/man/xhtml/glScissor.xml for more information.

See also:
  - Actor::setScissor()
  - Shader::setScissor()

## Constructor & Destructor Documentation

vl::Scissor::Scissor | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::Scissor::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

void vl::Scissor::enable | ( | const Viewport * | viewport | ) | const`[inline]`

Enables the scissor test on the area specified by scissorRect() clipped against the given Viewport.

void vl::Scissor::disable | ( |  | ) | `[inline]`

Disables the scissor test.

void vl::Scissor::setScissor | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height |
| ) |  |  | `[inline]`

Defines the scissor box.

The `left`, `bottom`, `right` and `top` parameters are in windows coordinates. See also http://www.opengl.org/sdk/docs/man/xhtml/glScissor.xml for more information.

void vl::Scissor::setScissor | ( | const RectI & | scissor | ) | `[inline]`

Defines the scissor box.

The `left`, `bottom`, `right` and `top` parameters are in windows coordinates. See also http://www.opengl.org/sdk/docs/man/xhtml/glScissor.xml for more information.

const RectI& vl::Scissor::scissorRect | ( |  | ) | const`[inline]`

Returns the scissor box.

bool vl::Scissor::operator< | ( | const Scissor & | other | ) | const`[inline]`

Defines a sort of lexicographic sorting that make possible the use of the Scissor class with STL containers like std::set, std::map etc.

## Member Data Documentation

RectI vl::Scissor::mScissor`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Scissor.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:50 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.